/*
	File: ZSpin.h
	Author: Raja
	Date: Jan 16, 1996

	Implementation file for ZSpin class which handles Spin up and spin down
	notifications.
*/

#ifndef __ZSpin__
#define __ZSpin__

#include "afxpriv.h"

class ZSpin : public CVBControl
{
public:
	HWND m_hWndEdit;
	virtual BOOL OnChildNotify	(UINT message, WPARAM wParam, LPARAM lParam,
						LRESULT *pLResult);
	BOOL SubclassVBControl (CWnd* pParent, UINT idChild, BOOL bEmbedded);
	void SetEditControl (HWND hWnd) { m_hWndEdit = hWnd; }
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC (ZSpin)
};

// VBX events.
extern UINT NEAR ZSPIN_VBN_SPINDOWN;
extern UINT NEAR ZSPIN_VBN_SPINUP;

#endif // __ZSpin__
